type PartSettingsRecord {
    id: ID!
    createdAt: DateTime! @rename(attribute: "created_at")
    updatedAt: DateTime! @rename(attribute: "updated_at")
    part: Part! @belongsTo
    nickname: String
    lscClicks: Int @rename(attribute: "lsc_clicks")
    hscClicks: Int @rename(attribute: "hsc_clicks")
    lsrClicks: Int @rename(attribute: "lsr_clicks")
    hsrClicks: Int @rename(attribute: "hsr_clicks")
    volumeSpacers: Float @rename(attribute: "volume_spacers")
    psi: Float
    sag: Float
    springRate: Int @rename(attribute: "spring_rate")
    preloadAdjust: Int @rename(attribute: "preload_adjust")
    notes: String
}

input CreatePartSettingsRecordInput {
    nickname: String
    lscClicks: Int @rename(attribute: "lsc_clicks")
    hscClicks: Int @rename(attribute: "hsc_clicks")
    lsrClicks: Int @rename(attribute: "lsr_clicks")
    hsrClicks: Int @rename(attribute: "hsr_clicks")
    volumeSpacers: Float @rename(attribute: "volume_spacers")
    psi: Float
    sag: Float
    springRate: Int @rename(attribute: "spring_rate")
    preloadAdjust: Int @rename(attribute: "preload_adjust")
    notes: String
}

input UpdatePartSettingsRecordInput {
    id: ID!
    nickname: String
    lscClicks: Int @rename(attribute: "lsc_clicks")
    hscClicks: Int @rename(attribute: "hsc_clicks")
    lsrClicks: Int @rename(attribute: "lsr_clicks")
    hsrClicks: Int @rename(attribute: "hsr_clicks")
    volumeSpacers: Float @rename(attribute: "volume_spacers")
    psi: Float
    sag: Float
    springRate: Int @rename(attribute: "spring_rate")
    preloadAdjust: Int @rename(attribute: "preload_adjust")
    notes: String
}
